# spec file for package nodejs-nodejs-spdx
# this is version of spdx currently bundled in npm

%global npm_name spdx
%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:		nodejs-spdx
Version:	0.4.1
Release:	3%{?dist}
Summary:	SPDX License Expression Syntax parser
Url:		https://github.com/kemitchell/spdx.js
Source0:	https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
License:	Apache-2.0

BuildArch:	noarch

%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif


BuildRequires:	nodejs-devel
BuildRequires:	nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:	npm(docco@0.7.0)
BuildRequires:	npm(fixpack@2.2.0)
BuildRequires:	npm(jison@0.4.15)
BuildRequires:	npm(jscs@1.12.0)
BuildRequires:	npm(jshint@2.7.0)
BuildRequires:	npm(jsmd@0.3.0)
%endif

BuildRequires:	npm(spdx-license-ids)

Requires:		npm(spdx-license-ids)

%description
SPDX License Expression Syntax parser

%prep
%setup -q -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}

cp -pr package.json source/ \
	%{buildroot}%{nodejs_sitelib}/%{npm_name}

%{nodejs_symlink_deps}

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
jsmd README.md
%endif

%files
%{nodejs_sitelib}/spdx

%doc README.md 
%license LICENSE.md

%changelog
* Mon Nov 23 2015 Zuzana Svetlikova <zsvetlik@redhat.com>
- Change source to npmjs

* Thu Jul 30 2015 Zuzana Svetlikova <zsvetlik@redhat.com> - 0.4.1-2
- Fix incorrect license and source

* Wed Jun 10 2015 Zuzana Svetlikova <zsvetlik@redhat.com> - 0.4.1-1
- Initial build
